﻿/*---------------------------------------------------------------------------*
  Project:  Nintendo 3DS CPU Profiler Demo
  File:     simple.cpp

  Copyright (C)2014 Nintendo Co., Ltd.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.
 *---------------------------------------------------------------------------*/

#include <stdlib.h>

#include <nn/os.h>
#include <nn/prof.h>

static void __declspec(noinline) InterestingFunction()
{
    for (int i = 0; i < 100000; ++i)
    {
        rand();
    }
}

extern "C" void nnMain()
{
    srand(0);
    
    while(1)
    {
        nnprofRecordTopMainLoop();
        
        InterestingFunction();
        
        nn::os::Thread::Sleep(nn::fnd::TimeSpan::FromMicroSeconds(16666));
    }
}
